cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        tex: cc.SpriteFrame,
        sprite: cc.Sprite
    },

    // use this for initialization
    onLoad: function () {
        // this.label.string = this.text;
    },

    // called every frame
    update: function (dt) {

    },

    clicked() {

        cc.loader.onProgress = null;
        cc.loader.onProgress = (completedCount, totalCount, item) => {
            if (totalCount == 0) {
                // totalCount = 1;
                // completedCount = 1;
                cc.error("没有加载任务");
                return;
            }


            let progress = (completedCount / totalCount).toFixed(2);
            cc.log("progress:" + progress + " item:" + item.id);
            cc.log("completedCount = " + completedCount + ",totalCount=" + totalCount + ",progress=" + progress);
            if (this.progressBar) {

                this.progressBar.progress = progress;
                this.label.string = progress * 100 + "%";
            } else {
                cc.log("??");
            }

            if (item && item.uuid && completedCount == totalCount) {
                cc.loader.onProgress = null;
                // this.sprite.spriteFrame = this.tex;
                cc.error("loaded.................................");
            }
        };



        cc.loader.loadRes("test/HelloWorld", cc.SpriteFrame, (err, res) => {
            cc.log("load completed", res);
            // this.sprite.spriteFrame = res;

            this.tex = res;
            this.sprite.spriteFrame = this.tex;
            // this._resName = res._textureFilename;
        });

        if (this.tex) {


            cc.loader.loadRes("test/template-banner", cc.SpriteFrame, (err, res) => {
                cc.log("load completed", res);
                // this.sprite.spriteFrame = res;

                this.tex = res;
                this.sprite.spriteFrame = this.tex;
                // this._resName = res._textureFilename;
            });
        }
    }

    // release () {
    //     var sp = this.sprite.spriteFrame;
    //     var deps = cc.loader.getDependsRecursively(sp);
    //     if (sp !== this.tex) {
    //         this.sprite.spriteFrame = this.tex;
    //         cc.loader.release(deps);
    //     }
    // }
});
