"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        tex: cc.SpriteFrame,
        sprite: cc.Sprite
    },

    // use this for initialization
    onLoad: function onLoad() {
        // this.label.string = this.text;
    },

    // called every frame
    update: function update(dt) {},

    clicked: function clicked() {
        var _this = this;

        cc.loader.onProgress = null;
        cc.loader.onProgress = function (completedCount, totalCount, item) {
            if (totalCount == 0) {
                // totalCount = 1;
                // completedCount = 1;
                cc.error("没有加载任务");
                return;
            }

            var progress = (completedCount / totalCount).toFixed(2);
            cc.log("progress:" + progress + " item:" + item.id);
            cc.log("completedCount = " + completedCount + ",totalCount=" + totalCount + ",progress=" + progress);
            if (_this.progressBar) {

                _this.progressBar.progress = progress;
                _this.label.string = progress * 100 + "%";
            } else {
                cc.log("??");
            }

            if (item && item.uuid && completedCount == totalCount) {
                cc.loader.onProgress = null;
                // this.sprite.spriteFrame = this.tex;
                cc.error("loaded.................................");
            }
        };

        cc.loader.loadRes("test/HelloWorld", cc.SpriteFrame, function (err, res) {
            cc.log("load completed", res);
            // this.sprite.spriteFrame = res;

            _this.tex = res;
            _this.sprite.spriteFrame = _this.tex;
            // this._resName = res._textureFilename;
        });

        if (this.tex) {

            cc.loader.loadRes("test/template-banner", cc.SpriteFrame, function (err, res) {
                cc.log("load completed", res);
                // this.sprite.spriteFrame = res;

                _this.tex = res;
                _this.sprite.spriteFrame = _this.tex;
                // this._resName = res._textureFilename;
            });
        }
    }

    // release () {
    //     var sp = this.sprite.spriteFrame;
    //     var deps = cc.loader.getDependsRecursively(sp);
    //     if (sp !== this.tex) {
    //         this.sprite.spriteFrame = this.tex;
    //         cc.loader.release(deps);
    //     }
    // }

});

cc._RF.pop();